import * as React from 'react';
import { connect } from 'react-redux';
import { store } from '../redux';
// import { store } from './components/redux/index';   // почему не этот?
import { url } from '../../App';

import Box from '@mui/material/Box';
import Stack from '@mui/material/Stack';
import Paper from '@mui/material/Paper';
import { styled } from '@mui/material/styles';

import { actionfindPosts } from '../redux/action';

import { RecipeReviewCard as Card } from './card';


// сам item для поста
const Item = styled(Paper)(({ theme }) => ({
    backgroundColor: theme.palette.mode === 'dark' ? '#1A2027' : '#fff',
    width: 500
}))

function Feed({ posts = [] }) {
    return (
        <Box sx={{
            width: '500',
            height: '600',
            margin: '10, 20'
        }}>
            {/* spacing - это отступ между карточками в ленте */}
            <Stack spacing={1}>
                {posts.map(post => <Item key={post._id}><Card postData={post} /></Item>)}
            </Stack>
        </Box >
    )
}

store.dispatch(actionfindPosts())

export const ReduxFeed = connect(state => ({ posts: state.PostsFind.payload }))(Feed)